package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxProfitSharingResult;

public interface WxProfitSharingResultService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxProfitSharingResult> listAsPage(WxProfitSharingResult record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxProfitSharingResult getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxProfitSharingResult record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
